package com.cool.store.request;

import com.cool.store.entity.FranchiseeDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class FranchiseeSaveRequest {

    private String partnerId;

    private Long lineId;

    @ApiModelProperty("加盟商姓名")
    private String frName;

    @ApiModelProperty("加盟商手机号码")
    private String frMobile;

    @ApiModelProperty("个人身份证号/企业统一社会信用代码")
    private String idCard;

    @ApiModelProperty("身份证地址/公司地址")
    private String idCardAddress;

    @ApiModelProperty("性别：0-女，1-男")
    private Integer sex;

    @ApiModelProperty("身份证原件正面地址/营业执照拍照上传")
    private String idCardFrontUrl;
    @ApiModelProperty("身份证原件国徽面/食品经营许可证上传")
    private String idCardBackUrl;

    @ApiModelProperty("0-个人签约；1-企业签约")
    private Integer signType;

    @ApiModelProperty("生日，企业不用传")
    private String birthday;


    public FranchiseeDO toFranchiseeDO() {
        FranchiseeDO franchiseeDO = new FranchiseeDO();
        franchiseeDO.setBirthday(this.birthday);
        franchiseeDO.setFrMobile(this.frMobile);
        franchiseeDO.setFrName(this.frName);
        franchiseeDO.setIdCard(this.idCard);
        franchiseeDO.setIdCardAddress(this.idCardAddress);
        franchiseeDO.setIdCardBackUrl(this.idCardBackUrl);
        franchiseeDO.setIdCardFrontUrl(this.idCardFrontUrl);
        franchiseeDO.setSignType(this.signType);
        return franchiseeDO;
    }
}
